dab_ofdm_ffs_sample Class Reference

samples FFS error estimation at the correct time and averages it More...

`#include <dab_ofdm_ffs_sample.h>`

Inheritance diagram for dab_ofdm_ffs_sample:
[legend]

## Public Member Functions

float | ffe_estimate ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Friends

dab_ofdm_ffs_sample_sptr | dab_make_ofdm_ffs_sample (unsigned int symbol_length, unsigned int fft_length, unsigned int num_symbols, float alpha, unsigned int sample_rate)

## Detailed Description

samples FFS error estimation at the correct time and averages it

Parameters

  symbol_length | number of samples in an OFDM symbol
  fft_length | number of samples in an OFDM symbol without the cyclic prefix
  num_symbols | number of symbols to use for averaging (more symbols is better, but symbols towards the end of the frame tend to have larger time offsets and worse values)
  alpha | how fast should we adapt to new FFS error values (1=immediately)
  sample_rate | sampling rate - needed to calculate the offset estimation in Hz

input: port 0: float - actual data; port 1: byte - trigger signal indicating the start of a frame output: float fine frequency offset estimation (in radian per sample)

## Member Function Documentation

## ffe_estimate()

float dab_ofdm_ffs_sample::ffe_estimate | ( |  | ) |

inline

Returns
  fine frequency error estimate in Hz

## work()

int dab_ofdm_ffs_sample::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## Friends And Related Symbol Documentation

## dab_make_ofdm_ffs_sample

dab_ofdm_ffs_sample_sptr dab_make_ofdm_ffs_sample | ( | unsigned int | symbol_length,
|  | unsigned int | fft_length,
|  | unsigned int | num_symbols,
|  | float | alpha,
|  | unsigned int | sample_rate )

friend

The documentation for this class was generated from the following file:

- dab_ofdm_ffs_sample.h